# -*- coding: utf-8 -*-
### Class that will automatically aggregate confidential Entry of the same Stoff
class GkCollectingArray < Array
  attr_reader :gklist

  def initialize
    @gklist = []
    super
  end

  def push(entry)
    @gklist |= entry.geheimk
    super(entry)
  end
end